Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.metadata.iso19115
Class Citation

    java.lang.Object
      org.deegree.model.metadata.iso19115.Citation

    public class Citation

extends Object

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`Citation(String[] alternatetitle, CitedResponsibleParty[] citedresponsibleparty, Date[] date, String edition, String editiondate, String[] identifier, String isbn, String issn, String issueidentification, String seriesname, String title)`

Method Summary
`void` | `addAlternateTitle(String alternatetitle)`
`void` | `addCitedResponsibleParty(CitedResponsibleParty citedresponsibleparty)`
`void` | `addDate(Date date)`
`void` | `addIdentifier(String identifier)`
`String[]` | `getAlternateTitle()`
`CitedResponsibleParty[]` | `getCitedResponsibleParty()`
`Date[]` | `getDate()`
`String` | `getEdition()`
`String` | `getEditionDate()`
`String[]` | `getIdentifier()`
`String` | `getIsbn()`
`String` | `getIssn()`
`String` | `getIssueIdentification()`
`String` | `getSeriesName()`
`String` | `getTitle()`
`void` | `setAlternateTitle(String[] alternatetitle)`
`void` | `setCitedResponsibleParty(CitedResponsibleParty[] citedresponsibleparty)`
`void` | `setDate(Date[] date)`
`void` | `setEdition(String edition)`
`void` | `setEditionDate(String editiondate)`
`void` | `setIdentifier(String[] identifier)`
`void` | `setIsbn(String isbn)`
`void` | `setIssn(String issn)`
`void` | `setIssueIdentification(String issueidentification)`
`void` | `setSeriesName(String seriesname)`
`void` | `setTitle(String title)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Citation

    public Citation(String[] alternatetitle,
                    CitedResponsibleParty[] citedresponsibleparty,
                    Date[] date,
                    String edition,
                    String editiondate,
                    String[] identifier,
                    String isbn,
                    String issn,
                    String issueidentification,
                    String seriesname,
                    String title)

Parameters:
  `alternatetitle` -
  `citedresponsibleparty` -
  `date` -
  `edition` -
  `editiondate` -
  `identifier` -
  `isbn` -
  `issn` -
  `issueidentification` -
  `seriesname` -
  `title` -

Method Detail

### getAlternateTitle

    public String[] getAlternateTitle()

  Returns:
    aleternate titles

### addAlternateTitle

    public void addAlternateTitle(String alternatetitle)

  Parameters:
    `alternatetitle` -
  See Also:
    `getAlternateTitle()`

### setAlternateTitle

    public void setAlternateTitle(String[] alternatetitle)

  Parameters:
    `alternatetitle` -
  See Also:
    `getAlternateTitle()`

### getCitedResponsibleParty

    public CitedResponsibleParty[] getCitedResponsibleParty()

  Returns:
    Cited Responsible Parties

### addCitedResponsibleParty

    public void addCitedResponsibleParty(CitedResponsibleParty citedresponsibleparty)

  Parameters:
    `citedresponsibleparty` -
  See Also:
    `getCitedResponsibleParty()`

### setCitedResponsibleParty

    public void setCitedResponsibleParty(CitedResponsibleParty[] citedresponsibleparty)

  Parameters:
    `citedresponsibleparty` -
  See Also:
    `getCitedResponsibleParty()`

### getDate

    public Date[] getDate()

  Returns:
    dates

### addDate

    public void addDate(Date date)

  Parameters:
    `date` -
  See Also:
    `getDate()`

### setDate

    public void setDate(Date[] date)

  Parameters:
    `date` -
  See Also:
    `getDate()`

### getEdition

    public String getEdition()

  Returns:
    String

### setEdition

    public void setEdition(String edition)

  Parameters:
    `edition` -
  See Also:
    `getEdition()`

### getEditionDate

    public String getEditionDate()

  Returns:
    edition date

### setEditionDate

    public void setEditionDate(String editiondate)

  Parameters:
    `editiondate` -
  See Also:
    `getEditionDate()`

### getIdentifier

    public String[] getIdentifier()

  Returns:
    identifiers

### addIdentifier

    public void addIdentifier(String identifier)

  Parameters:
    `identifier` -
  See Also:
    `getIdentifier()`

### setIdentifier

    public void setIdentifier(String[] identifier)

  Parameters:
    `identifier` -
  See Also:
    `getIdentifier()`

### getIsbn

    public String getIsbn()

  Returns:
    isbn

### setIsbn

    public void setIsbn(String isbn)

  Parameters:
    `isbn` -
  See Also:
    `getIsbn()`

### getIssn

    public String getIssn()

  Returns:
    issn

### setIssn

    public void setIssn(String issn)

  Parameters:
    `issn` -
  See Also:
    `getIssn()`

### getIssueIdentification

    public String getIssueIdentification()

  Returns:
    Issue Identification

### setIssueIdentification

    public void setIssueIdentification(String issueidentification)

  Parameters:
    `issueidentification` -
  See Also:
    `getIssueIdentification()`

### getSeriesName

    public String getSeriesName()

  Returns:
    sereis name

### setSeriesName

    public void setSeriesName(String seriesname)

  Parameters:
    `seriesname` -
  See Also:
    `getSeriesName()`

### getTitle

    public String getTitle()

  Returns:
    title

### setTitle

    public void setTitle(String title)

  Parameters:
    `title` -
  See Also:
    `getTitle()`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org